Description

Content scripts are said not to get loaded to pages opened from data: URLs. We're currently blocking data: page links entirely. We
could, however, make it better and parse each data: URL as HTML, sanitize the resulting document and encode it back into a data:
URL.

History

#1 - 09/10/2021 05:34 PM - koszko
It might be possible to utilize this API:

https://developer.mozilla.org/en-US/docs/Web/API/Navigator/registerProtocolHandler

#2 - 09/11/2021 04:56 AM - jahoti

It might be possible to utilize this API:

https://developer.mozilla.org/en-US/docs/Web/API/Navigator/registerProtocolHandler

Unfortunately not, according to https://developer.mozilla.org/en-US/docs/Web/API/Navigator/registerProtocolHandler#permitted_schemes the API
can't be used to register a handler for data:, nor can the more powerful manifest key protocol_handlers.

#3 - 09/11/2021 11:40 AM - koszko

)

Btw, I've been unaware of that manifest key. It would be cool to utilize it for something else at some point :) Although | haven't found any evidence of it
being supported in Chromium :/

#4 - 09/11/2021 12:02 PM - jahoti

Btw, I've been unaware of that manifest key. It would be cool to utilize it for something else at some point :) Although | haven't found any
evidence of it being supported in Chromium :/
https://developer.mozilla.org/en-US/docs/Web/API/Navigator/registerProtocolHandler
https://developer.mozilla.org/en-US/docs/Web/API/Navigator/registerProtocolHandler
https://developer.mozilla.org/en-US/docs/Web/API/Navigator/registerProtocolHandler#permitted_schemes
https://developer.mozilla.org/en-US/docs/Mozilla/Add-ons/WebExtensions/manifest.json/protocol_handlers

It would indeed seem it isn't; nevertheless, working around that using navigation.registerProtocolHandler and some request redirection might be
possible. The biggest problem is probably deciding exactly what to do :).

#5 - 10/13/2022 12:20 PM - koszko
- Status changed from New to Rejected
